All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
differentiable-function.hh File Reference
`#include <cstring>`
`#include <limits>`
`#include <utility>`
`#include <log4cxx/logger.h>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/function.hh>`
`#include <roboptim/core/portability.hh>`
`#include <roboptim/core/differentiable-function.hxx>`

## Classes

class | roboptim::GenericDifferentiableFunction< T >
| Define an abstract derivable function ( ). More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Macros

#define | ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS(PARENT)
#define | ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_(PARENT)

## Macro Definition Documentation

#define ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS | ( |  | PARENT | ) |

Value:
ROBOPTIM_FUNCTION_FWD_TYPEDEFS (PARENT); \
typedef parent_t::gradient_t gradient_t; \
typedef parent_t::jacobian_t jacobian_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
ROBOPTIM_FUNCTION_FWD_TYPEDEFS
#define ROBOPTIM_FUNCTION_FWD_TYPEDEFS(PARENT)
Definition: function.hh:44

#define ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_ | ( |  | PARENT | ) |

Value:
ROBOPTIM_FUNCTION_FWD_TYPEDEFS_ (PARENT); \
typedef typename parent_t::gradient_t gradient_t; \
typedef typename parent_t::jacobian_t jacobian_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
ROBOPTIM_FUNCTION_FWD_TYPEDEFS_
#define ROBOPTIM_FUNCTION_FWD_TYPEDEFS_(PARENT)
Definition: function.hh:54

Examples:
  finite-difference-gradient.cc.